AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Check quote status

Check the status of a quote request.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/rfq/{id}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

id string required
This is the unique id of the quote you want to fetch. It is returned in the call to create a request for quote as data.id.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id string

reference string

quantity integer

instrument string

quote object

FILL IN ALL REQUIRED FIELDS

best_available_rate string

approved_quantity number

total_value number

expiry string

status string

created_at string

complete_message string

FILL IN ALL REQUIRED FIELDS

status string

message string

data string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys